#include<iostream>
#include<vector>
using namespace std;
std::vector<int> getVisionPattern1d()
{
    std::vector<int> pat;
 /*   for(int i=0;i<60;i++)
    {
        pat.push_back(i);
    }*/
    pat.push_back(1);
//    pat.push_back(2);
//    pat.push_back(3);
    return pat;
}
int getMove1d(std::vector<int> v)
{
 //   if(v[0]!=3)
 //   {
        return 0;
 //   }
 //   return v.size()-1;
}
std::vector<std::vector<int>> getVisionPattern2d()
{

}
std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{

}
